# This file created by conda-build 3.21.9
# ------------------------------------------------

package:
  name: omniscidbe
  version: 5.10.1
source:
  - folder: source
    sha256: a41099704792cf928c9bc8e7f1c6ede1a400b0c024a8d22e8c4daaff329bd451
    url: https://github.com/omnisci/omniscidb/archive/v5.10.1.tar.gz
  - folder: omniscidb-common
    sha256: 91c7c146381e7a8d866c23ad6d2834844922c2d5e78b5c873a0c7b5e7acbc571
    url: https://anaconda.org/conda-forge/omniscidb-common/5.10.1/download/linux-64/omniscidb-common-5.10.1-h1234567_0.tar.bz2
  - folder: omniscidbe
    sha256: cc153d0c9fbde724457a62a661f06d00ce8946d6445e23fb2e9b3e3eccdcdca9
    url: https://anaconda.org/conda-forge/omniscidbe/5.10.1/download/linux-64/omniscidbe-5.10.1-h1234567_0_cpu.tar.bz2
  - folder: pyomniscidbe_py37
    sha256: 962b623f59c9fbc0458ed7133c760fb2d5c25204608d5c6e68a214c7f9457718
    url: https://anaconda.org/conda-forge/pyomniscidbe/5.10.1/download/linux-64/pyomniscidbe-5.10.1-py37h1234567_0_cpu.tar.bz2
  - folder: pyomniscidbe_py38
    sha256: 4a66ce11ee2da9d25c53f3a321dda6b3f3b247f5d4f4d534f1e29940626da63f
    url: https://anaconda.org/conda-forge/pyomniscidbe/5.10.1/download/linux-64/pyomniscidbe-5.10.1-py38h1234567_0_cpu.tar.bz2
  - folder: pyomniscidbe_py39
    sha256: 6ef2f624975c9776bcfde8b38e4fcce50dc33cf5033da11ba7871ad419744f69
    url: https://anaconda.org/conda-forge/pyomniscidbe/5.10.1/download/linux-64/pyomniscidbe-5.10.1-py39h1234567_0_cpu.tar.bz2
  - folder: pyomniscidbe_py310
    sha256: cafa947db4764a29c4679a060c4cb1b4161eb4cda8c1e0eec783bc7a85d6ead3
    url: https://anaconda.org/conda-forge/pyomniscidbe/5.10.1/download/linux-64/pyomniscidbe-5.10.1-py310h1234567_0_cpu.tar.bz2
  - folder: boost
    sha256: 2fededc174457aac466963ccb7858638ad91299df1addbb5fe22dea7a9a22d8e
    url: https://anaconda.org/cbouss/libboost/1.74.0/download/linux-64/libboost-1.74.0-hb88907d_0.tar.bz2
  - folder: arrowcpp_py37
    sha256: 95fbeb9784f152f17b2f1340c86bc53f5a5968d63f2c4a97268e85fd3a25b3d3
    url: https://anaconda.org/cbouss/arrow-cpp/6.0.1/download/linux-64/arrow-cpp-6.0.1-py37h60b952e_0.tar.bz2
  - folder: arrowcpp_py38
    sha256: caf0e8ab0d22d8c39c9c5148ab911d9c854872fe1c333f6aa0e8afed8ed3c991
    url: https://anaconda.org/cbouss/arrow-cpp/6.0.1/download/linux-64/arrow-cpp-6.0.1-py38h60b952e_0.tar.bz2
  - folder: arrowcpp_py39
    sha256: 3aafd13efb31b9f58a35f44e87798e823b5c8ec7669dd35a95f0b5346553253b
    url: https://anaconda.org/cbouss/arrow-cpp/6.0.1/download/linux-64/arrow-cpp-6.0.1-py39h60b952e_0.tar.bz2
  - folder: arrowcpp_py310
    sha256: 1e20f1232a66cae0af57074601d0ab87a7f09da8c774f2ba31f97c080dd53fe6
    url: https://anaconda.org/cbouss/arrow-cpp/6.0.1/download/linux-64/arrow-cpp-6.0.1-py310h3098874_0.tar.bz2
  - folder: pyarrow_py37
    sha256: 9a0bea486c461716afa493b5440e51efad2e7aafcc94a6144878c75aafebec61
    url: https://anaconda.org/cbouss/pyarrow/6.0.1/download/linux-64/pyarrow-6.0.1-py37h992f0b0_0.tar.bz2
  - folder: pyarrow_py38
    sha256: 8966c4d110254be6889ab388f05307c329337b6187e0d266a946ffb4535cbf7b
    url: https://anaconda.org/cbouss/pyarrow/6.0.1/download/linux-64/pyarrow-6.0.1-py38h992f0b0_0.tar.bz2
  - folder: pyarrow_py39
    sha256: a216fff5a170090a8c4f88e9c2ed16df2c444c64f03db658641cbf3c0cdce2ad
    url: https://anaconda.org/cbouss/pyarrow/6.0.1/download/linux-64/pyarrow-6.0.1-py39h992f0b0_0.tar.bz2
  - folder: pyarrow_py310
    sha256: 19d6522166076c49f218919bf25a9d1fe949cb21052a757db413344faf9da0e8
    url: https://anaconda.org/cbouss/pyarrow/6.0.1/download/linux-64/pyarrow-6.0.1-py310h468efa6_0.tar.bz2
  - folder: libclang-cpp
    sha256: 24427a0c7d99423199a97c4e7ddec20b1bf6f35bad3fb1d5acea0a65c52e4834
    url: https://anaconda.org/conda-forge/libclang-cpp11.1/11.1.0/download/linux-64/libclang-cpp11.1-11.1.0-default_ha53f305_1.tar.bz2
build:
  ignore_run_exports:
    - gflags
    - glog
    - gxx_linux-64
    - ncurses
    - omniscidb-common
    - openssl
    - python
    - zlib
  number: 0
  run_exports:
    - omniscidbe >=5.10.1,<5.10.2.0a0
  string: py37h7744c1e_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.35.1 h27ae35d_9
    - binutils_linux-64 2.35.1 h454624a_30
    - gcc_impl_linux-64 9.3.0 h6df7d76_17
    - gcc_linux-64 9.3.0 h1ee779e_30
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libgcc-devel_linux-64 9.3.0 hb95220a_17
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - patchelf 0.13 h295c915_0
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - abseil-cpp 20211102.0 hd4dd3e8_0
    - aws-c-common 0.4.57 he6710b0_1
    - aws-c-event-stream 0.1.6 h2531618_5
    - aws-checksums 0.1.9 he6710b0_0
    - aws-sdk-cpp 1.8.185 hce553d0_0
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - blas 1.0 mkl
    - blosc 1.21.0 h4ff587b_1
    - boost-cpp 1.73.0 h7f8727e_12
    - brotli 1.0.9 he6710b0_2
    - bzip2 1.0.8 h7b6447c_0
    - c-ares 1.18.1 h7f8727e_0
    - ca-certificates 2022.07.19 h06a4308_0
    - cairo 1.16.0 h19f5f5c_2
    - cfitsio 3.470 h5893167_7
    - curl 7.82.0 h7f8727e_0
    - double-conversion 3.1.5 he6710b0_1
    - expat 2.4.4 h295c915_0
    - fontconfig 2.13.1 h6c09931_0
    - freetype 2.11.0 h70c0345_0
    - freexl 1.0.6 h27cfd23_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - geos 3.8.0 he6710b0_0
    - geotiff 1.7.0 hd69d5b1_0
    - gflags 2.2.2 he6710b0_0
    - giflib 5.2.1 h7b6447c_0
    - glib 2.69.1 h4ff587b_1
    - glog 0.5.0 h2531618_0
    - grpc-cpp 1.46.1 h33aed49_0
    - gxx_impl_linux-64 11.2.0 h1234567_1
    - gxx_linux-64 11.2.0 hc2dff05_0
    - hdf4 4.2.13 h3ca952b_2
    - hdf5 1.10.6 h3ffc7dd_1
    - icu 58.2 he6710b0_3
    - intel-openmp 2021.4.0 h06a4308_3561
    - jpeg 9e h7f8727e_0
    - json-c 0.13.1 h1bed415_0
    - kealib 1.4.14 hb50703a_1
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - krb5 1.19.2 hac12032_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libarchive 3.5.2 h5de8990_0
    - libboost 1.73.0 h28710b8_12
    - libcurl 7.82.0 h0b77cf5_0
    - libdap4 3.19.1 h6ec2957_0
    - libedit 3.1.20210910 h7f8727e_0
    - libev 4.33 h7f8727e_1
    - libevent 2.1.12 h8f2d780_0
    - libffi 3.3 he6710b0_2
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgdal 3.4.1 h05199a0_1
    - libgfortran-ng 11.2.0 h00389a5_1
    - libgfortran5 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libkml 1.3.0 h7ecb851_5
    - libllvm11 11.1.0 h3826bc1_1
    - libnetcdf 4.8.1 h42ceab0_1
    - libnghttp2 1.46.0 hce63b2e_0
    - libpng 1.6.37 hbc83047_0
    - libpq 12.9 h16c4e8d_3
    - libprotobuf 3.20.1 h4ff587b_0
    - libspatialite 4.3.0a hbedb2dc_20
    - libssh2 1.10.0 h8f2d780_0
    - libstdcxx-devel_linux-64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libthrift 0.15.0 hcc01f38_0
    - libtiff 4.2.0 h2818925_1
    - libuuid 1.0.3 h7f8727e_2
    - libwebp-base 1.2.2 h7f8727e_0
    - libxcb 1.15 h7f8727e_0
    - libxml2 2.9.14 h74e7548_0
    - libzip 1.8.0 h5cef20c_0
    - lz4-c 1.9.3 h295c915_1
    - mkl 2021.4.0 h06a4308_640
    - mkl-service 2.4.0 py37h7f8727e_0
    - mkl_fft 1.3.1 py37hd3c417c_0
    - mkl_random 1.2.2 py37h51133e4_0
    - ncurses 6.3 h5eee18b_3
    - numpy 1.16.6 py37h7895c89_4
    - numpy-base 1.16.6 py37h73d599e_4
    - omniscidb-common >=5.10.1,<5.10.2.0a0
    - openjdk 8.0.152 h7b6447c_3
    - openjpeg 2.4.0 h3ad879b_0
    - openssl 1.1.1q h7f8727e_0
    - orc 1.7.4 h07ed6aa_0
    - pcre 8.45 h295c915_0
    - pixman 0.40.0 h7f8727e_1
    - poppler 0.81.0 h01f5e8b_2
    - poppler-data 0.4.11 h06a4308_0
    - proj 6.2.1 h05a3930_0
    - python 3.7.13 h12debd9_0
    - rapidjson 1.1.0 h6bb024c_0
    - re2 2022.04.01 h295c915_0
    - readline 8.1.2 h7f8727e_1
    - six 1.16.0 pyhd3eb1b0_1
    - snappy 1.1.9 h295c915_0
    - sqlite 3.38.5 hc218d9a_0
    - sysroot_linux-64 2.17 h57e8cba_10
    - tbb 2021.5.0 hd09550d_0
    - thrift-compiler 0.15.0 hcc01f38_0
    - thrift-cpp 0.15.0 h06a4308_0
    - tiledb 2.3.3 h1132f93_2
    - tk 8.6.12 h1ccaba5_0
    - uriparser 0.9.3 he6710b0_1
    - utf8proc 2.6.1 h27cfd23_0
    - xerces-c 3.2.3 h780794e_0
    - xz 5.2.5 h7f8727e_1
    - zlib 1.2.12 h7f8727e_2
    - zstd 1.5.2 ha4553b6_0
  run:
    - abseil-cpp >=20211102.0,<20211102.1.0a0
    - aws-sdk-cpp >=1.8.185,<1.8.186.0a0
    - blosc >=1.21.0,<2.0a0
    - brotli >=1.0.9,<2.0a0
    - bzip2 >=1.0.8,<2.0a0
    - double-conversion >=3.1.5,<3.3.0a0
    - gflags >=2.2.2,<2.3.0a0
    - grpc-cpp >=1.46.1,<1.47.0a0
    - gxx_linux-64
    - icu >=58.2,<59.0a0
    - libarchive >=3.5.2,<3.6.0a0
    - libgcc-ng >=11.2.0
    - libgcc-ng >=9.3.0
    - libgcc-ng >=9.4.0
    - libgdal >=3.4.1,<3.5.0a0
    - libllvm11 >=11.1.0,<11.2.0a0
    - libpng >=1.6.37,<1.7.0a0
    - libprotobuf >=3.20.1,<3.21.0a0
    - libstdcxx-ng >=11.2.0
    - libstdcxx-ng >=9.4.0
    - libthrift >=0.15.0,<0.15.1.0a0
    - libthrift >=0.15.0,<0.16.0a0
    - lz4-c >=1.9.3,<1.10.0a0
    - ncurses
    - numpy >=1.16,<2.0a0
    - omniscidb-common 5.10.1 hc204824_0
    - openjdk 8.*
    - orc >=1.7.4,<1.7.5.0a0
    - python >=3.7,<3.8.0a0
    - re2 >=2022.4.1,<2022.4.2.0a0
    - snappy >=1.1.9,<2.0a0
    - tbb >=2021.5.0
    - utf8proc
    - xerces-c >=3.2.3,<3.3.0a0
    - xz >=5.2.5,<6.0a0
    - zlib
    - zstd >=1.5.2,<1.6.0a0
test:
  commands:
    - test -f ${PREFIX}/lib/libDBEngine.so
    - test -f "${PREFIX}/etc/conda/activate.d/omniscidbe_activate.sh"
    - test -f "${PREFIX}/etc/conda/deactivate.d/omniscidbe_deactivate.sh"
    - 'source ${PREFIX}/etc/conda/activate.d/omniscidbe_activate.sh

      test -n "${OMNISCI_ROOT_PATH+x}"

      ldd ${PREFIX}/lib/libDBEngine.so

      '
about:
  description: 'OmniSciDB / HeavyDB is an in-memory, column store, SQL relational
    database

    that was designed from the ground up to run on GPUs.

    '
  dev_url: https://github.com/heavyai/heavydb
  doc_url: https://docs.heavy.ai/
  home: https://www.heavy.ai/
  license: Apache-2.0
  license_family: APACHE
  license_file: omniscidb-common/share/doc/omnisci/LICENSE.md
  summary: The OmniSci / HeavyDB database
extra:
  copy_test_source_files: true
  final: true
